---
title: "Get Room Information"
slug: "get-room-information"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Room Information

Get/api/v1/rooms.info

Retrieves the information about the room.

### Changelog

| Version | Description |
| --- | --- |
| 0.72.0 | Added |

Header parametersX-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

Responses200

OK

The response includes the following objects:

- `parent`: Represents the parent of a room. For discussions, this is the room where the discussion was created, identified by `prid`. For rooms inside a team, the parent will be the team's main room, identified by `team.roomId`. For other rooms, this property is undefined.
- `team`: Represents the team a room is part of. For rooms inside a team, this is the team identified by the `teamId` property. For everything else, this is undefined.

<select class='api-response-data' aria-label='Media type'><option value='78ec7fe2-a5b0-42ff-884e-f140e0d7ad92'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='cd957e35-e559-4ba1-a62b-4388d93cfa34'>Success</option>
</select>Success

```json
{
  "room": {
    "_id": "66ed2dba40141d95f32c292b",
    "fname": "new-channel",
    "_updatedAt": "2024-09-20T12:29:08.284Z",
    "customFields": {},
    "topic": "",
    "broadcast": false,
    "encrypted": false,
    "name": "new-channel",
    "t": "p",
    "msgs": 3,
    "usersCount": 2,
    "u": {
      "_id": "C38WSSzrGd2NCjzqJ",
      "username": "test.cat",
      "name": "test.cat"
    },
    "ts": "2024-09-20T08:09:30.417Z",
    "ro": false,
    "teamId": "66c82d78237405fc05fc1ef1",
    "default": false,
    "sysMes": true,
    "lastMessage": {
      "_id": "xZhJfE4rmaosjHZCe",
      "rid": "66ed2dba40141d95f32c292b",
      "msg": "testing",
      "alias": null,
      "ts": "2024-09-20T12:27:53.356Z",
      "u": {
        "_id": "C38WSSzrGd2NCjzqJ",
        "username": "test.cat",
        "name": "test.cat"
      },
      "_updatedAt": "2024-09-20T12:27:53.397Z",
      "urls": [],
      "mentions": [],
      "channels": [],
      "md": [
        {
          "type": "PARAGRAPH",
          "value": [
            {
              "type": "PLAIN_TEXT",
              "value": "testing"
            }
          ]
        }
      ]
    },
    "lm": "2024-09-20T12:27:53.356Z"
  },
  "team": {
    "_id": "66c82d78237405fc05fc1ef1",
    "name": "test-team",
    "type": 0,
    "roomId": "66c82d78237405fc05fc1eef"
  },
  "parent": {
    "_id": "66c82d78237405fc05fc1eef",
    "fname": "test-team",
    "name": "test-team",
    "t": "c"
  },
  "success": true
}
```

Expand Allobject  roomobject  _idstring    
tsstring    
tstring    
namestring    
usernames Array of object   object  
msgsinteger    
usersCountinteger    
_updatedAtstring    
uobject  _idstring    
usernamestring    
namestring    

defaultboolean    
lastMessageobject  _idstring    
tstring    
ridstring    
tsstring    
msgstring    
aliasstring   | null  
attachments Array of object   object  
fileobject  _idstring    
namestring    
typestring    

uobject  _idstring    
usernamestring    
namestring    

groupableboolean    
dridstring    
_updatedAtstring    

lmstring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='74e73bf7-a13f-4ccc-af8e-e6bd331710c7'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='df5fe0a5-3aae-4bef-8686-c2799f401a6f'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-roomid-param-not-provided]",
  "errorType": "error-roomid-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='561b23e5-e7d9-4486-b5ce-8a83638de5a1'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='22a0270b-6829-4b93-a16b-b7b87bd67b74'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
